From: Eugeniy Meshcheryakov <eugen@debian.org>
Subject: Use dpkg-architecture to detect address size
--- a/common/Makefile.inc
+++ b/common/Makefile.inc
@@ -121,11 +121,7 @@
     EXE_EXTN:=
     TAR:=tar
     PREP_TARGET:=Intel_Linux
-    ifeq (${GCC_TARGET},x86_64-pc-linux-gnu)
-        ADDRESS_SIZE:=64
-    else
-        ADDRESS_SIZE:=32
-    endif
+    ADDRESS_SIZE:=$(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)
     BUILD_VICTOR:=true
     SPLD_CONF:=
 endif
